Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.scanner.bytes
Class RecordEventBuffer

    java.lang.Object
      com.servingxml.components.flatfile.scanner.bytes.RecordEventBuffer

    public class RecordEventBuffer

extends java.lang.Object

Constructor Summary
`RecordEventBuffer(java.nio.charset.Charset charset)`

Method Summary
`ByteArrayBuilder` | `byteArrayBuilder()`
`void` | `clear()`
`void` | `completeLine(int startDelim, int endDelim)`
`void` | `endComment(int endComment)`
`void` | `endRecord(int startDelim, int endDelim)`
`void` | `eol(int end)`
`void` | `ignorableWhitespace(int startPos, int endPos)`
`void` | `ignoreLine()`
`boolean` | `isEmpty()`
`boolean` | `isEmptyLine(ByteTrimmer byteTrimmer)`
`void` | `lineContinuation(int startPos, int endPos)`
`void` | `startComment(int startComment)`
`void` | `startLine(int startPos)`
`void` | `startRecord(int startDelim, int endDelim)`
`java.lang.String` | `toString()`
`void` | `write(FlatContentReceiver receiver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecordEventBuffer

    public RecordEventBuffer(java.nio.charset.Charset charset)

Method Detail

### isEmptyLine

    public boolean isEmptyLine(ByteTrimmer byteTrimmer)

### clear

    public void clear()

### byteArrayBuilder

    public ByteArrayBuilder byteArrayBuilder()

### write

    public void write(FlatContentReceiver receiver)

### startLine

    public void startLine(int startPos)

### startRecord

    public void startRecord(int startDelim,
                            int endDelim)

### completeLine

    public void completeLine(int startDelim,
                             int endDelim)

### ignoreLine

    public void ignoreLine()

### eol

    public void eol(int end)

### endRecord

    public void endRecord(int startDelim,
                          int endDelim)

### startComment

    public void startComment(int startComment)

### endComment

    public void endComment(int endComment)

### lineContinuation

    public void lineContinuation(int startPos,
                                 int endPos)

### ignorableWhitespace

    public void ignorableWhitespace(int startPos,
                                    int endPos)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isEmpty

    public boolean isEmpty()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD